Bug 472038 - Usage message states that -h requires a DEVNAME
Summary: Usage message states that -h requires a DEVNAME
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ethtool
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Jay Fenlason
QA Contact: BaseOS QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-18 13:12 UTC by Radek Bíba
Modified: 2014-08-31 23:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 08:46:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0279 normal SHIPPED_LIVE ethtool bug fix and enhancement update 2010-03-29 13:58:06 UTC

Description Radek Bíba 2008-11-18 13:12:17 UTC
Description of problem:
When an invalid or no option is given or help is required, ethtool gives a usage message which reads:
...
        ethtool -h|--help DEVNAME       Show this help

What? There's no need to specify a DEVNAME when requesting help.

Version-Release number of selected component (if applicable):
ethtool-5-1.el5

Comment 1 Robert Scheck 2009-01-17 13:37:19 UTC
Solved in Fedora 9, 10 and Rawhide. Thanks for reporting it.

Comment 2 Fedora Update System 2009-01-17 13:43:16 UTC
ethtool-6-2.20090115git.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ethtool-6-2.20090115git.fc10

Comment 3 Fedora Update System 2009-01-17 13:43:16 UTC
ethtool-6-2.20090115git.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ethtool-6-2.20090115git.fc9

Comment 4 Fedora Update System 2009-01-21 21:28:11 UTC
ethtool-6-2.20090115git.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ethtool'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0746

Comment 5 Fedora Update System 2009-01-21 21:29:33 UTC
ethtool-6-2.20090115git.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update ethtool'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0767

Comment 6 Radek Bíba 2009-01-22 09:50:19 UTC
Fix confirmed in the updates-testing package, thanks!

Moving back to new though, this is a RHEL bug report.

Comment 7 Robert Scheck 2009-01-22 12:07:14 UTC
Sorry Radek, I tried to told the fscking Bodhi not to touch the bug reports,
but it is doing that anyway, I've updated the Fedora Infrastructure ticket for 
this: https://fedorahosted.org/fedora-infrastructure/ticket/312#comment:3

Comment 12 errata-xmlrpc 2010-03-30 08:46:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0279.html


Note You need to log in before you can comment on or make changes to this bug.